Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.datacache
Class QueryResult

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.ArrayList
                        |
                        +--kodo.datacache.QueryResult

All Implemented Interfaces:
  Cloneable, Collection, List, Serializable

public class QueryResult
extends ArrayList

A query result.

See Also:
  Serialized Form

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`QueryResult(Collection oids, long ex)` Constructor; to build up from raw values (e.g.
`QueryResult(QueryKey key, Collection oids)` Constructor; supply corresponding query key and result oids.

Method Summary
`boolean` | `isTimedOut()` Whether this data is timed out.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Constructor Detail

### QueryResult

    public QueryResult(QueryKey key,
                       Collection oids)

  Constructor; supply corresponding query key and result oids.

### QueryResult

    public QueryResult(Collection oids,
                       long ex)

  Constructor; to build up from raw values (e.g. from a serializer)

Method Detail

### isTimedOut

    public boolean isTimedOut()

  Whether this data is timed out.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.